Subject: bug#54962: 28.1; insert-directory-program should be ls-program

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Apr 2022 22:50:38 +0300

> From: Howard Melman <[email-masked]>
> Date: Fri, 15 Apr 2022 15:24:41 -0400
> 
> This is minor, but I think insert-directory-program should
> be called ls-program.  I'm sure it's for historical reasons
> but a variable alias or other solution would be great.

No one said it has to be 'ls'.  It can be anything else, as long as it
produces the same output.

So I see no reason to change the name of that variable.

> On the mac I think it's common to install gnu ls as "gls"
> and I had hard time finding the emacs variable to set to
> have it use this.

That is not a reason to rename the variable, it is perhaps a reason to
improve our Help and Apropos facilities.

> There are several dozen such variables
> and they all follow a similar more discoverable naming
> pattern as this sample:

Those are much more specific.